function [X_train, Y_train, X_test, Y_test]=PartitionData(FeaturesData, ResponseData, training_ratio)
    % The function splits the data into training and testing samples
    

    rng(42);
    full_size=size(FeaturesData,1);
    TrainingSampleSize= floor(full_size * training_ratio);
    %randsample(n,k) function returns k values sampled uniformly at random, without replacement, from the integers 1 to n.  
    train_ind=randsample( full_size ,TrainingSampleSize);
    %C=setdiff(A,B) returns the data in A that is not in B, with no repetitions. C is in sorted order.
    test_ind=setdiff(1:full_size, train_ind)';
    predictor=FeaturesData;
    response=ResponseData;
    X_train=predictor(train_ind,:);
    Y_train=response(train_ind);
    X_test=predictor(test_ind,:);
    Y_test=response(test_ind);
